package com.centreproject.system.service.job.context;

import org.springframework.stereotype.Component;
import java.math.BigDecimal;

/**
 * BigDecimal 类型转换器
 * @author zhonglei.xu
 */
@Component
public class BigDecimalConverter implements TypeConverter<BigDecimal> {
    @Override
    public BigDecimal convert(String defaultValue) {
        return new BigDecimal(defaultValue);
    }

    @Override
    public Class<BigDecimal> getTargetType() {
        return BigDecimal.class;
    }
}